VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
MouseDownEvent Struct Reference
New classes » Version 4.11

MouseDownEvent. More...

`#include <events.h>`

Inheritance diagram for MouseDownEvent:

## Public Member Functions
| MouseDownEvent ()
| MouseDownEvent (const CPoint &pos, MouseEventButtonState buttons)
Public Member Functions inherited from MouseDownUpMoveEvent
void | ignoreFollowUpMoveAndUpEvents (bool state)
bool | ignoreFollowUpMoveAndUpEvents ()
Public Member Functions inherited from Event
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Additional Inherited Members
Public Attributes inherited from MouseDownUpMoveEvent
uint32_t | clickCount {0}
Public Attributes inherited from MouseEvent
MouseEventButtonState | buttonState
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers More...
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type. More...
uint64_t | id
| Unique ID. More...
uint64_t | timestamp
| Timestamp. More...
EventConsumeState | consumed
| Consumed? If this is true, event dispatching is stopped. More...
Static Public Attributes inherited from MouseDownUpMoveEvent
static constexpr uint32_t | IgnoreFollowUpEvents = EventConsumeState::Last
static constexpr uint32_t | IgnoreFollowUpEventsMask = 1 << IgnoreFollowUpEvents
Protected Member Functions inherited from MouseDownUpMoveEvent
| MouseDownUpMoveEvent ()=default
| MouseDownUpMoveEvent (const CPoint &pos, MouseEventButtonState buttons, Modifiers mods={})

## Detailed Description

MouseDownEvent.

## Constructor & Destructor Documentation

## ◆ MouseDownEvent() [1/2]

MouseDownEvent | ( |  | ) |
| inline

## ◆ MouseDownEvent() [2/2]

MouseDownEvent | ( | const CPoint & | pos,
|  | MouseEventButtonState | buttons
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- events.h